package edu.uoc.vmerinom.tfc.support;

import java.io.IOException;

import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.http.HttpServletResponse;

/**
 * Este filtro permite la compatibilidad de RichFaces 3.X con IE9.
 * 
 * @author victormerino
 * 
 */
public class IE9Filter implements Filter {

	public void destroy() {
		// do nothing
	}

	/**
	 * Filtramos la respuesta añadiendo en la cabecera la compatibilidad con
	 * IE8.
	 * 
	 * @param request
	 *            Petición HTTP
	 * @param response
	 *            Respuesta HTTP
	 * @param chain
	 *            Cadena de filtros
	 * @throws IOException
	 *             Excepciones de entrada y salida
	 * @throws ServletException
	 *             Excepciones producidas por el servlet
	 */
	public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {
		((HttpServletResponse) response).addHeader("X-UA-Compatible", "IE=EmulateIE8");
		chain.doFilter(request, response);
	}

	public void init(FilterConfig config) throws ServletException {
		// do nothing
	}

}
