package edu.uoc.vmerinom.tfc.domain;

// Generated 14-abr-2012 19:33:30 by Hibernate Tools 3.4.0.CR1

import static javax.persistence.GenerationType.IDENTITY;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.UniqueConstraint;

/**
 * Grupo generated by hbm2java
 */
@Entity
@Table(name = "grupos", uniqueConstraints = @UniqueConstraint(columnNames = "nombre"))
public class Grupo implements java.io.Serializable {
	/** Default Serial Version ID */
	private static final long serialVersionUID = 1L;

	private Integer id;
	private Date creado;
	private Date modificado;
	private Date alta;
	private Date baja;
	private String nombre;
	private String tendencia;
	private String email;
	private String web;
	private String facebook;
	private String twitter;
	private List<Casilla> casillas = new ArrayList<Casilla>(0);
	private List<Componente> componentes = new ArrayList<Componente>(0);

	public Grupo() {
	}

	public Grupo(Date creado, Date modificado, Date alta, String nombre) {
		this.creado = creado;
		this.modificado = modificado;
		this.alta = alta;
		this.nombre = nombre;
	}

	public Grupo(Date creado, Date modificado, Date alta, Date baja, String nombre, String tendencia, String email, String web, String facebook,
			String twitter, List<Casilla> casillas, List<Componente> componentes) {
		this.creado = creado;
		this.modificado = modificado;
		this.alta = alta;
		this.baja = baja;
		this.nombre = nombre;
		this.tendencia = tendencia;
		this.email = email;
		this.web = web;
		this.facebook = facebook;
		this.twitter = twitter;
		this.casillas = casillas;
		this.componentes = componentes;
	}

	@Id
	@GeneratedValue(strategy = IDENTITY)
	@Column(name = "id", unique = true, nullable = false)
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "creado", nullable = false, length = 19)
	public Date getCreado() {
		return this.creado;
	}

	public void setCreado(Date creado) {
		this.creado = creado;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "modificado", nullable = false, length = 19)
	public Date getModificado() {
		return this.modificado;
	}

	public void setModificado(Date modificado) {
		this.modificado = modificado;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "alta", nullable = false, length = 19)
	public Date getAlta() {
		return this.alta;
	}

	public void setAlta(Date alta) {
		this.alta = alta;
	}

	@Temporal(TemporalType.TIMESTAMP)
	@Column(name = "baja", length = 19)
	public Date getBaja() {
		return this.baja;
	}

	public void setBaja(Date baja) {
		this.baja = baja;
	}

	@Column(name = "nombre", unique = true, nullable = false, length = 100)
	public String getNombre() {
		return this.nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	@Column(name = "tendencia", length = 150)
	public String getTendencia() {
		return this.tendencia;
	}

	public void setTendencia(String tendencia) {
		this.tendencia = tendencia;
	}

	@Column(name = "email", length = 150)
	public String getEmail() {
		return this.email;
	}

	public void setEmail(String email) {
		this.email = email;
	}

	@Column(name = "web", length = 100)
	public String getWeb() {
		return this.web;
	}

	public void setWeb(String web) {
		this.web = web;
	}

	@Column(name = "facebook", length = 150)
	public String getFacebook() {
		return this.facebook;
	}

	public void setFacebook(String facebook) {
		this.facebook = facebook;
	}

	@Column(name = "twitter", length = 150)
	public String getTwitter() {
		return this.twitter;
	}

	public void setTwitter(String twitter) {
		this.twitter = twitter;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "grupo")
	public List<Casilla> getCasillas() {
		return this.casillas;
	}

	public void setCasillas(List<Casilla> casillas) {
		this.casillas = casillas;
	}

	@OneToMany(fetch = FetchType.LAZY, mappedBy = "grupo")
	public List<Componente> getComponentes() {
		return this.componentes;
	}

	public void setComponentes(List<Componente> componentes) {
		this.componentes = componentes;
	}

}
